org.eclipse.viatra.query.patternlanguage.typing.judgements

## Class TypeJudgement

- java.lang.Object
- - org.eclipse.viatra.query.patternlanguage.typing.judgements.AbstractTypeJudgement
  - - org.eclipse.viatra.query.patternlanguage.typing.judgements.TypeJudgement

-     public class TypeJudgement
      extends AbstractTypeJudgement

  States a selected expression has a preselected type; multiple type judgements form a conjunction.
  Since:
    1.3

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TypeJudgement(Expression expression, IInputKey type)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object obj)`
    `java.util.Set<Expression>` | `getDependingExpressions()` Returns a set of expressions whose type changes must trigger a re-evaluation of this constraint
    `IInputKey` | `getType()`
    `int` | `hashCode()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class org.eclipse.viatra.query.patternlanguage.typing.judgements.AbstractTypeJudgement

      `getConstraint, getExpression`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### TypeJudgement

          public TypeJudgement(Expression expression,
                               IInputKey type)

  - ### Method Detail

    - #### getType

          public IInputKey getType()

    - #### getDependingExpressions

          public java.util.Set<Expression> getDependingExpressions()

      Description copied from class: `AbstractTypeJudgement`
      Returns a set of expressions whose type changes must trigger a re-evaluation of this constraint
      Specified by:
        `getDependingExpressions` in class `AbstractTypeJudgement`
      Returns:
        a non-null, but possibly empty set of expressions

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `AbstractTypeJudgement`

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `AbstractTypeJudgement`